%
% anyremote configuration file for  customization of GUI of Java client. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Text example
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Example of anyRemote Android/J2ME clients text screen customization.

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);\
	Make(var,vibrotime,by_value,2);

(Connect)=\
	Set(parameter,debug,on);\
	Set(status,$(vibrotime));\
	Set(title,Use buttons 1 and 3);\
	Set(icons,Viration Example,\
		1,minus,2,fit,3,plus,\
		4,fit,5,fit,6,fit,\
		7,fit,8,fit,9,fit,\
		*,question,0,fit,#,fit);\
	Macro(SET_MENU);

Back=Set(text,close);

DO_VIBRATE=\
	Set(vibrate,$(vibrotime));\
	Set(status,$(vibrotime));

1=Make(var,vibrotime,expr $(vibrotime) - 1);Macro(DO_VIBRATE);
2=Macro(DO_VIBRATE);
3=Make(var,vibrotime,expr $(vibrotime) + 1);Macro(DO_VIBRATE);
4=Macro(DO_VIBRATE);
5=Macro(DO_VIBRATE);
6=Macro(DO_VIBRATE);
7=Macro(DO_VIBRATE);
8=Macro(DO_VIBRATE);
9=Macro(DO_VIBRATE);
* *=Set(text,replace,Help,1 Longer vibration\n3 Shorter vibration\n* * Help)
0=Macro(DO_VIBRATE);
#=Macro(DO_VIBRATE);

[End]
